{
  "private": true,
  "scripts": {
    "build": "yarn build:css && yarn build:js",
    "watch": "yarn watch:css",
    "build:js": "cross-env BABEL_ENV=legacy node ./scripts/js/babel-es6-build.js",
    "build:js-dev": "cross-env NODE_ENV=development BABEL_ENV=legacy node ./scripts/js/babel-es6-build.js",
    "build:css": "cross-env NODE_ENV=production ./node_modules/.bin/postcss \"assets/css/src\" --dir \"assets/css/dist\" --base \"assets/css/src\"",
    "build:css-dev": "cross-env NODE_ENV=development ./node_modules/.bin/postcss \"assets/css/src\" --dir \"assets/css/dist\" --base \"assets/css/src\"",
    "watch:css": "cross-env NODE_ENV=production ./node_modules/.bin/postcss \"assets/css/src\" --dir \"assets/css/dist\" --base \"assets/css/src\" --watch",
    "watch:css-dev": "cross-env NODE_ENV=development ./node_modules/.bin/postcss \"assets/css/src\" --dir \"assets/css/dist\" --base \"assets/css/src\" --watch",
    "watch:js": "cross-env BABEL_ENV=legacy node ./scripts/js/babel-es6-watch.js",
    "watch:js-dev": "cross-env NODE_ENV=development BABEL_ENV=legacy node ./scripts/js/babel-es6-watch.js"
  },
  "devDependencies": {
    "@babel/core": "^7.12.9",
    "@babel/preset-env": "^7.12.7",
    "@tailwindcss/custom-forms": "^0.2.1",
    "@tailwindcss/typography": "^0.2.0",
    "@tailwindcss/ui": "^0.1.3",
    "autoprefixer": "^9.7.4",
    "babel-plugin-add-header-comment": "^1.0.3",
    "chalk": "^4.1.0",
    "chokidar": "^3.3.1",
    "cross-env": "^7.0.0",
    "postcss-calc": "^7.0.1",
    "postcss-cli": "^7.1.0",
    "postcss-color-function": "^4.1.0",
    "postcss-custom-properties": "^9.1.1",
    "postcss-discard-comments": "^4.0.2",
    "postcss-header": "^2.0.0",
    "postcss-import": "^12.0.1",
    "postcss-nested": "^4.2.1",
    "postcss-preset-env": "^6.7.0",
    "postcss-pxtorem": "^5.1.1",
    "tailwindcss": "^1.2.0"
  },
  "//": "'development is the default environment, and legacy is for transpiling the old jQuery codebase",
  "babel": {
    "env": {
      "development": {
        "presets": [
          [
            "@babel/preset-env",
            {
              "modules": "commonjs",
              "targets": {
                "node": "current"
              }
            }
          ]
        ]
      },
      "legacy": {
        "presets": [
          [
            "@babel/preset-env",
            {
              "modules": false
            }
          ]
        ]
      }
    }
  },
  "browserslist": [
    "last 2 Chrome major versions",
    "last 2 Firefox major versions",
    "last 2 Safari major versions",
    "last 2 Edge major versions",
    "last 2 Opera versions",
    "last 2 iOS major versions",
    "last 1 Explorer major version",
    "last 1 ChromeAndroid version",
    "last 1 UCAndroid version",
    "last 1 Samsung version",
    "last 1 OperaMini version",
    "Firefox ESR"
  ]
}
